from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Arb_A2Ps_V0_1_0 = CommandToolBuilder(tool="arb_a2ps", base_command=["arb_a2ps"], inputs=[ToolInput(tag="in_one_page_sheet", input_type=Boolean(optional=True), prefix="-1", doc=InputDocumentation(doc="one page per sheet")), ToolInput(tag="in_twin_pages_sheet", input_type=Boolean(optional=True), prefix="-2", doc=InputDocumentation(doc="TWIN PAGES per sheet")), ToolInput(tag="in_nd", input_type=Boolean(optional=True), prefix="-nd", doc=InputDocumentation(doc="print (DON'T PRINT) current date at the bottom")), ToolInput(tag="in_fnum", input_type=Boolean(optional=True), prefix="-Fnum", doc=InputDocumentation(doc="font size, num is a float number")), ToolInput(tag="in_h_str", input_type=Boolean(optional=True), prefix="-Hstr", doc=InputDocumentation(doc="use str like header title for subsequent files")), ToolInput(tag="in_print_landscape_mode", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="print in LANDSCAPE mode")), ToolInput(tag="in_lnum", input_type=Boolean(optional=True), prefix="-lnum", doc=InputDocumentation(doc="use num lines per page")), ToolInput(tag="in_process_file_man", input_type=Boolean(optional=True), prefix="-m", doc=InputDocumentation(doc="process the file as a man")), ToolInput(tag="in_nn", input_type=Boolean(optional=True), prefix="-nn", doc=InputDocumentation(doc="NUMBER (don't number) line files")), ToolInput(tag="in_print_portrait_mode", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="print in portrait mode")), ToolInput(tag="in_print_quiet_mode", input_type=Boolean(optional=True), prefix="-q", doc=InputDocumentation(doc="print in quiet mode (no summary)")), ToolInput(tag="in_ns", input_type=Boolean(optional=True), prefix="-ns", doc=InputDocumentation(doc="PRINT (don't print) surrounding borders")), ToolInput(tag="in_print_dont_print_bold", input_type=Boolean(optional=True), prefix="-nB", doc=InputDocumentation(doc="print (DON'T PRINT) in bold font")), ToolInput(tag="in_force_dont_force", input_type=Boolean(optional=True), prefix="-nb", doc=InputDocumentation(doc="force (DON'T FORCE) binary printing")), ToolInput(tag="in_nc", input_type=Boolean(optional=True), prefix="-nc", doc=InputDocumentation(doc="allow (DON'T ALLOW) two files on the same sheet")), ToolInput(tag="in_nf", input_type=Boolean(optional=True), prefix="-nf", doc=InputDocumentation(doc="FOLD (don't fold) lines")), ToolInput(tag="in_nh", input_type=Boolean(optional=True), prefix="-nH", doc=InputDocumentation(doc="don't print any header")), ToolInput(tag="in_i_file", input_type=Boolean(optional=True), prefix="-Ifile", doc=InputDocumentation(doc="include this file as a2ps prologue")), ToolInput(tag="in_ni", input_type=Boolean(optional=True), prefix="-ni", doc=InputDocumentation(doc="INTERPRET (don't interpret) tab, bs and ff chars")), ToolInput(tag="in_p_printer", input_type=String(optional=True), prefix="-Pprinter", doc=InputDocumentation(doc="(don't send) directly to the printer\n(with options '-l' and -Pprinter)")), ToolInput(tag="in_nr", input_type=Boolean(optional=True), prefix="-nr", doc=InputDocumentation(doc="RESTART (don't restart) page number after each file")), ToolInput(tag="in_t_num", input_type=Boolean(optional=True), prefix="-tnum", doc=InputDocumentation(doc="set tab size to n")), ToolInput(tag="in_nu", input_type=Boolean(optional=True), prefix="-nu", doc=InputDocumentation(doc="don't print a filename footer")), ToolInput(tag="in_nv", input_type=Boolean(optional=True), prefix="-nv", doc=InputDocumentation(doc="VISIBLE (blank) display of unprintable chars")), ToolInput(tag="in_n_eight", input_type=Boolean(optional=True), prefix="-n8", doc=InputDocumentation(doc="display (DON'T DISPLAY) 8-bit chars"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Arb_A2Ps_V0_1_0().translate("wdl", allow_empty_container=True)

